TSHTTPTXNABORTED(3ts)

NAME
TSHttpTxnAborted - TSHttpTxnAborted API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSHttpTxnAborted(TSHttpTxn txnp)

DESCRIPTION

TSHttpTxnAborted() returns TS_SUCCESS if the requested transaction is aborted. This function should be used to determine whether a transaction has been aborted before attempting to cache the results.

RETURN VALUES

The API returns TS_SUCCESS, if the requested transaction is aborted, TS_ERROR otherwise.

COPYRIGHT
2026, dev@trafficserver.apache.org